#include <pygobject.h>
#include "tomoe-gtk.h"

void pytomoegtk_register_classes (PyObject *d);
void pytomoegtk_add_constants    (PyObject *module, const gchar *strip_prefix);

extern PyMethodDef pytomoegtk_functions[];

DL_EXPORT(void)
inittomoegtk(void)
{
    PyObject *m, *d;

    init_pygobject ();

    m = Py_InitModule ("tomoegtk", pytomoegtk_functions);
    d = PyModule_GetDict (m);

    pytomoegtk_register_classes (d);
    pytomoegtk_add_constants (m, "TOMOE_");

    if (PyErr_Occurred ())
    {
        Py_FatalError ("can't initialize module globalkeys");
    }

    tomoe_gtk_init ();
    atexit (tomoe_gtk_quit);
}

/*
vi:ts=4:nowrap:ai:expandtab
*/
